# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82.0"
name = "lum_boxtypes"
version = "0.1.1"
authors = ["Torben Schweren"]
build = false
exclude = [
    ".devcontainer",
    ".github",
    ".vscode",
]
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "lum framework's box types library"
readme = "README.md"
keywords = [
    "lum",
    "framework",
    "types",
    "box",
    "pin",
]
license = "MIT"
repository = "https://github.com/lum-rs/lum_boxtypes"

[profile.dev]
opt-level = 0
lto = false
debug = 2

[profile.release]
opt-level = 3
lto = true
debug = 0

[lib]
name = "lum_boxtypes"
path = "src/lib.rs"

[dependencies]
